/***********************************************************
 * $Id: fancyqt4browserframeagent_webaxwidget.h 1789 2016-09-16 16:45:23Z fancylibs $
 *
 * FancyQT4 Widgets
 *
 * Copyright (C) 2009-2011 ev-i GmbH & IBCL e.U.
 * Copyright (C) 2011-2016 ITEG IT-Engineers GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 ************************************************************/

#ifdef WIN32

#ifndef FANCYQT4WIDGETS_BROWSERFRAME_WEBAXWIDGET_H_
#define FANCYQT4WIDGETS_BROWSERFRAME_WEBAXWIDGET_H_

#include "fancyqt4browserframeagent.h"

#ifndef NDEBUG
#include <QtCore/qdebug.h>
#endif

#include <ActiveQt/QAxWidget>

//#include <QtGui/QKeyEvent>

//#include <windows.h>


namespace Fancy {
namespace Qt4 {
namespace Widgets {


class WebAxWidget : public QAxWidget
{
public:

	WebAxWidget(QWidget* parent = 0, Qt::WindowFlags f = 0);

protected:
	virtual bool translateKeyEvent(int message, int keycode) const;

};


} /* namespace Widgets */
} /* namespace Qt4 */
} /* namespace Fancy */

#endif // FANCYQT4WIDGETS_BROWSERFRAME_WEBAXWIDGET_H_

#endif // ifdef WIN32
