/* $Id: fancyqt4widgetsi18n.h 925 2011-11-19 09:12:26Z fancylibs $ */
/* small gettext helper. */
#ifndef FANCYQT4WIDGETS_I18N_H
#define FANCYQT4WIDGETS_I18N_H 1

#include <fancyqt4widgets.h>

class QString;

namespace Fancy {
namespace Qt4 {
namespace Widgets {

    /**
       Initialize the library an load the i18n resources from
       <pfx>/share/locale/<locale>/LC_MESSAGES/fancyqt4widgets.mo
     */
    FANCYQT4WIDGETS_API void i18n_init(const QString &pfx);
    
    FANCYQT4WIDGETS_I18N_API const char *fancyqt4_i18n(const char *msg);
    
    FANCYQT4WIDGETS_I18N_N_API const char *fancyqt4_i18n_n(const char *msg,
                                                  const char *msg_plural,
                                                  unsigned long n);
    
}}}

#endif
